/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 22/11/2024

Contare quante volte un determinato valore (tra 3 e 6 compesi) compare all'interno di un array.
*/

#include <iostream>
#include <ctime>
#define DIM 10
#define VMIN 3
#define VMAX 6

using namespace std;

void stampaArray(int arr[], int size);
unsigned int riempiArray(int arr[], int size);
unsigned int contaArray(int arr[], int size, int valore);

int main(void) {
	int arr[DIM];
	int valore;
	
	riempiArray(arr, DIM);
	
	cout << "Inserisci un valore da cercare (tra 3 e 6): ";
	cin >> valore;
	
	cout << "Numero di occorrenze: " << contaArray(arr, DIM, valore) << endl;
	
	return 0;
}

void stampaArray(int arr[], int size) {
	
	for (int i = 0; i < DIM; i++) {
		cout << arr[i] << " ";
	}
	
	cout << endl;
}

unsigned int riempiArray(int arr[], int size) {
	
	for (int i = 0; i < size; i++) {
		arr[i] = rand() % (VMAX - VMIN + 1) + VMIN;
	}
	
	return size;
}

unsigned int contaArray(int arr[], int size, int valore) {
	unsigned int contatore = 0;
	
	for (int i = 0; i < size; i++) {
		
		if (arr[i] == valore) {
			contatore = contatore + 1;
		}
		
	}
	
	return contatore;
}